<div id="search_suggest" class="show w-50 mx-auto d-flex justify-content-left suggestNav ps-2 suggest-close">
  <div class="list-group w-100 ">
    <ng-container *ngIf="responses else loadResults">
      <ng-container *ngIf="responses.suggests.length > 0 else noResults">
        <button type="button" id="suggestitem_{{i}}" (mouseover)="prepareHoverOver($event)"
           (mouseleave)="prepareHoverOut($event)" (click)="setToSearch(suggest.label)"
           class="list-group-item" [style]="setStyle(i)"
           *ngFor="let suggest of responses.suggests | suggestOrder: responses.searchPhrase; let i=index;">
          {{suggest.label}}
        </button>
      </ng-container>
    </ng-container>
    <ng-template #loadResults>
      <div class="list-group-item d-flex justify-content-between align-items-center">
        <strong>Lade Empfehlungen für {{toSearch}}</strong>
      </div>
    </ng-template>
    <ng-template #noResults>
      <div class="list-group-item d-flex justify-content-between align-items-center">
        <strong>Keine Empfehlungen für {{toSearch}} gefunden</strong>
      </div>
    </ng-template>
  </div>
</div>
